!
! = cpmain
!
! author    ::   (KOMATSU Kengo)
! version   :: 1.0
! date      :: 2006/03/20
! copyright :: Copyright (c) K.K & PGK, 2006. All rights reserved.
!
!
program cpmain
  implicit none
  integer, parameter :: im = 31
  integer, parameter :: jm = 91
  integer :: logscale
  integer :: i,j
  real(4) :: xmin
  real(4) :: xmax
  real(4) :: xwidth
  real(4) :: ymin
  real(4) :: ymax
  real(4) :: ywidth
  real(4) :: value(1:im,1:jm+1)
  character(len=30) :: title_t
  character(len=30) :: title_x
  character(len=30) :: title_y
  character(len=30) :: title_c
  external ColorPlot

  logscale = 1    ! 0:linear, 1:logscale

  xmin   = 30.0
  xmax   = 60.0
  xwidth = 1.0
  ymin   = 1.0
  ymax   = 10.0
  ywidth = 0.1

  if (logscale==1) then
     do i=1,im
        do j=1,jm
           value(i,j) = log10(real(i*j))
        end do
     end do
  else
     do i=1,im
        do j=1,jm
           value(i,j) = real(i*j)
        end do
     end do
  end if

  title_t="Fig title"
  title_x="x coordinate"
  title_y="y coordinate"
  title_c="value"

  call ColorPlot(xmin,xmax,ymin,ymax,xwidth,ywidth,                   &
       &         value(:,:),im,jm+1,title_t,title_x,title_y,title_c,  &
       &         logscale)
end program cpmain
